Get driver app settings.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Driver App Settings under the Drivers category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/fleet/settings/driver-app \
--header 'Authorization: Bearer <token>'{
"data": {
"driverFleetId": "abc_trucking_co",
"gamification": false,
"gamificationConfig": {
"anonymizeDriverNames": false
},
"orgVehicleSearch": false,
"trailerSelection": true,
"trailerSelectionConfig": {
"driverTrailerCreationEnabled": true,
"maxNumOfTrailersSelected": 7,
"orgTrailerSearch": false
}
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
OK response.
The configuration settings for the Samsara Driver App. Can be set or updated through the Samsara Settings page or the API at any time.
Show child attributes
curl --request GET \
--url https://api.samsara.com/fleet/settings/driver-app \
--header 'Authorization: Bearer <token>'{
"data": {
"driverFleetId": "abc_trucking_co",
"gamification": false,
"gamificationConfig": {
"anonymizeDriverNames": false
},
"orgVehicleSearch": false,
"trailerSelection": true,
"trailerSelectionConfig": {
"driverTrailerCreationEnabled": true,
"maxNumOfTrailersSelected": 7,
"orgTrailerSearch": false
}
}
}